%define build_gnomeprint 1

%define pygtk 2.10.3
%define gnomepython 2.10.0
%define oname gnome-python

Summary:	GNOME Desktop bindings for Python
Name:		gnome-python-desktop
Version:	2.32.0
Release:	14
License:	LGPLv2+ and GPLv2+
Group:		Development/GNOME and GTK+
Url:		ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python-desktop/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
#gw link plparser wrapper with gtk until it was update for 2.29
Patch1:		gnome-python-desktop-2.29.1-totem-plparser-add-gtk.patch

BuildRequires:	gnome-python-gconf >= %{gnomepython}
BuildRequires:	x11-server-xvfb
BuildRequires:	pkgconfig(gnome-desktop-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gnome-python-2.0) >= %{gnomepython}
BuildRequires:	pkgconfig(gtksourceview-1.0) >= 1.1.90
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libgnomeui-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(pygtk-2.0) >= %{pygtk}
BuildRequires:	pkgconfig(python)
Requires:	gnome-desktop
Conflicts:	gnome-python-extras < 2.13.3

%description
The gnome-python-desktop package contains the Python bindings for the
GNOME Desktop modules.

%files
%doc AUTHORS ChangeLog
%dir %{_datadir}/pygtk/2.0/defs
%{py_platsitedir}/gtk-2.0/gnomedesktop/
%{py_platsitedir}/gtk-2.0/bugbuddy*
%{_datadir}/pygtk/2.0/defs/_gnomedesktop.defs

#----------------------------------------------------------------------------

%package -n %{oname}-gnomekeyring
Summary:	Python bindings for Gnome-keyring
Group:		Development/GNOME and GTK+
Requires:	gnome-keyring
Conflicts:	gnome-python-desktop < 2.32.0-5

%description -n %{oname}-gnomekeyring
This module contains a wrapper that makes Gnome-keyring available from Python.

%files -n %{oname}-gnomekeyring
%doc examples/keyring*
%{py_platsitedir}/gtk-2.0/gnomekeyring.so
%{_datadir}/pygtk/2.0/defs/gnomekeyring.defs

#----------------------------------------------------------------------------

%package -n %{oname}-gtksourceview
Summary:	Python bindings for Gtksourceview
Group:		Development/GNOME and GTK+
Requires:	gtksourceview1
Requires:	%{oname}-gnomeprint = %{version}
Conflicts:	gnome-python-desktop < 2.32.0-5

%description -n %{oname}-gtksourceview
This module contains a wrapper that makes Gtksourceview available from Python.

%files -n %{oname}-gtksourceview
%doc examples/gtksourceview
%{py_platsitedir}/gtk-2.0/gtksourceview.so
%{_datadir}/pygtk/2.0/defs/gtksourceview.defs
%{_datadir}/gtk-doc/html/pygtksourceview

#----------------------------------------------------------------------------

%package -n %{oname}-gtop
Summary:	Python bindings for Gtop
Group:		Development/GNOME and GTK+
Requires:	libgtop2
BuildRequires:	pkgconfig(libgtop-2.0)

%description -n %{oname}-gtop
This module contains a wrapper that makes Gtop available from Python.

%files -n %{oname}-gtop
%{py_platsitedir}/gtk-2.0/gtop.so

#----------------------------------------------------------------------------

%package -n %{oname}-totem
Summary:	Python bindings for the Totem playlist parser
Group:		Development/GNOME and GTK+
BuildRequires:	pkgconfig(totem-plparser)

%description -n %{oname}-totem
This module contains a wrapper that makes the Totem playlist parser
available from Python.

%files -n %{oname}-totem
%{py_platsitedir}/gtk-2.0/totem/

#----------------------------------------------------------------------------

%if %{build_gnomeprint}
%package -n %{oname}-gnomeprint
Summary:	Python bindings for interacting with gnomeprint and gnomeprintui
Group:		Development/GNOME and GTK+
Requires:	libgnomeprintui
Requires:	gnome-python-canvas
Conflicts:	gnome-python-desktop < 2.32.0-5
BuildRequires:	pkgconfig(libgnomeprintui-2.2)

%description -n %{oname}-gnomeprint
This module contains a wrapper that allows the use of gnomeprint and
gnomeprintui via python.

%files -n %{oname}-gnomeprint
%doc examples/gnomeprint/
%{py_platsitedir}/gtk-2.0/gnomeprint/
%{_datadir}/pygtk/2.0/defs/art.defs
%{_datadir}/pygtk/2.0/defs/print.defs
%{_datadir}/pygtk/2.0/defs/printui.defs
%{_datadir}/gtk-doc/html/pygnomeprint*
%endif

#----------------------------------------------------------------------------

%package -n %{oname}-wnck
Summary:	Python-wnck bindings
Group:		Development/GNOME and GTK+
Conflicts:	gnome-python-desktop < 2.32.0-5

%description -n %{oname}-wnck
This package contains a module that allows communication with the Window
Manager using the EWMH specification from Python applications.

%files -n %{oname}-wnck
%doc examples/wnck*
%{py_platsitedir}/gtk-2.0/wnck.so
%{_datadir}/pygtk/2.0/defs/wnck.defs

#----------------------------------------------------------------------------

%package devel
Summary:	Pkgconfig file for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{EVRD}
Conflicts:	gnome-python-desktop < 2.32.0-5

%description devel
This package contains pkgconfig file for %{name}.

%files devel
%{_libdir}/pkgconfig/%{name}-2.0.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-applet \
	--disable-braseroburn \
	--disable-braseromedia \
	--disable-evince \
	--disable-evolution \
	--disable-evolution_ecal \
	--disable-mediaprofiles \
	--disable-metacity \
	--disable-rsvg
%make LIBS="`python-config --libs`"

%install
%makeinstall_std

%check
# Disabled due to http://bugzilla.gnome.org/show_bug.cgi?id=565593 :
# check fails against Python 2.6 due to Python issue #4244 - AdamW
# 2008/12
#xvfb-run make check

%changelog

* Mon Dec 12 2016 Denis Silakov <denis.silakov@rosalab.ru> 2.32.0-14
- (674d53f) Drop explicit libwnck requirement


